package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcBmtb;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 部门通报Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcBmtbService 
{
    /**
     * 查询部门通报
     * 
     * @param id 部门通报主键
     * @return 部门通报
     */
    public TcBmtb selectTcBmtbById(Long id);

    /**
     * 查询部门通报列表
     * 
     * @param tcBmtb 部门通报
     * @return 部门通报集合
     */
    public List<TcBmtb> selectTcBmtbList(TcBmtb tcBmtb);

    /**
     * 新增部门通报
     * 
     * @param tcBmtb 部门通报
     * @return 结果
     */
    public int insertTcBmtb(TcBmtb tcBmtb);

    /**
     * 修改部门通报
     * 
     * @param tcBmtb 部门通报
     * @return 结果
     */
    public int updateTcBmtb(TcBmtb tcBmtb);

    /**
     * 批量删除部门通报
     * 
     * @param ids 需要删除的部门通报主键集合
     * @return 结果
     */
    public int deleteTcBmtbByIds(Long[] ids);

    /**
     * 删除部门通报信息
     * 
     * @param id 部门通报主键
     * @return 结果
     */
    public int deleteTcBmtbById(Long id);


    /**
     * 导入部门通报信息
     *
     * @return 结果
     */
    public String importUser(List<TcBmtb> tcBmtbList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
